#ifndef __OtrT0__H__
#define __OtrT0__H__
#ifdef __cplusplus
extern "C" {
#endif

  void  OtrT0Switch(int i);
  void  OtrT0Define();
  int   OtrT0Initialize();
  int   OtrT0Update();
  int   OtrT0WriteToDb();
  int   OtrT0Close();
  int   OtrT0Scan(FILE *fp);
  int   OtrT0Print(FILE *fp);
  int   OtrT0TestMe();
  
  float  OtrT0Get(int ci);
  float  OtrT0Sigma(int ci);
  void   OtrT0Put(int ci,unsigned char t0);
  
  /*internal functions*/
  
  int   OtrT0Calculate();
  int   OtrT0Event(int ci,unsigned char d);
  int   OtrT0WriteToFile(int runno);
  
  
#define OTRT0IsInit     0x0
#define OTRT0Calculate  0x1
#define OTRT0InCounts   0x2
#ifdef __cplusplus
}
#endif
#endif

