
#ifndef __OtrLv__H__
#define __OtrLv__H__
#ifdef __cplusplus
extern "C" {
#endif
void  OtrLvSwitch(int i);
int   OtrLvInitialize();
int   OtrLvUpdate();
int   OtrLvWriteToDb();
int   OtrLvClose();
int   OtrLvScan(FILE *fp);
int   OtrLvPrint(FILE *fp);
int   OtrLvTestMe();

#ifdef __cplusplus
}
#endif
#endif


/* define the structures used in the LV board package */

typedef struct {
  int Id;
  short Canid;
  short Serialno;
  char Groups;
  short Th1;
  short Th2;
  short Dth;
  float Toffset[6];
  short Asdindex;
} OtrLvBoardStruct;

typedef struct {
  int Chid;
  short Lvbindex;
  char Group;  
  short Asdnext;
} OtrLvAsdStruct


}














