
#include "Otr/OtrRt.h"
#include "wax/EventBuilder.hh"
#include "wax/DecodeManager.hh"
#include "wax/DSRManager.hh"
#include "wax/RTRelation.hh"
void SetRt(waxRTRelation* rt,int sl,int cell) {
  float t;
  float tmin=(float)rt->GetXMin();
  float tmax=(float)rt->GetXMax();
  float tbin=1;
  float d[256];
  float dsig[256];
  printf("tmin %f %f\n",tmin,tmax);fflush(stdout);
  int k=0;
  for (t=tmin;t<=tmax;t+=tbin) {
    d   [k]=rt->GetRTResultFromT(t).fR;
    dsig[k]=rt->GetRTResultFromT(t).fSigmaR;
    k++;
    }
  OtrRtSet(sl,cell,tmin,tmax,k,d,dsig);
  }
  
void PrintRT() {
//  waxDecodeManager* d=(waxDecodeManager*)waxEventBuilder::GetMe()->GetDecodeManager();
//  d->WriteTZeros("t0.tab");
  waxDSRManager* r=(waxDSRManager*) waxDSRManager::GetMe();
  OtrRtInitialize();
  SetRt(r->GetRTRelation05mm(),14,5);
  SetRt(r->GetRTRelation10mm(),14,10);
  SetRt(r->GetRTRelation05mmMagnet(),5,5);
  SetRt(r->GetRTRelation10mmMagnet(),5,10);
//  SetRt(r->GetMCRTRelation05mm(),5,5);
//  SetRt(r->GetMCRTRelation10mm(),5,10);

  OtrRtSetEqual( 1,5);
  OtrRtSetEqual( 2,5);
  OtrRtSetEqual( 3,5);
  OtrRtSetEqual( 4,5);
  OtrRtSetEqual( 5,5);
  OtrRtSetEqual( 6,5);
  OtrRtSetEqual( 8,5);
  OtrRtSetEqual( 9,14);
  OtrRtSetEqual(10,14);
  OtrRtSetEqual(11,14);
  OtrRtSetEqual(12,14);
  OtrRtSetEqual(13,14)  ;
  FILE *fp=fopen("OtrRt.tab","w");
  if (!fp) {
    printf("Cannot open file: OtrRt.tab\n");
    exit(1);
    }
  OtrRtPrint(fp);
  fclose(fp);

  }  
